Subject: Re: [sipcore] Mirja Kühlewind's Yes on draft-ietf-sipcore-dns-dual-stack-07: (with COMMENT)

From: "Mirja Kuehlewind (IETF)" <[email-masked]>
Date: Fri, 2 Sep 2016 11:38:49 +0200

Hi Dale,

that’s fine! Sorry for my late reply!

Mirja

> Am 24.08.2016 um 20:33 schrieb Dale R. Worley <[email-masked]>:
> 
> "Mirja Kuehlewind (IETF)" <[email-masked]> writes:
>>>> And related to this question: Shouldn't it be named "multi-stack client"
>>>> instead of "dual-stack client"?
>>> 
>>> Strictly speaking, "multi-stack client" is more robust against the
>>> possibility that a third address family is introduced.  However, the
>>> term "dual-stack" is what has been used in all of the discussions
>>> regarding the transition to using IPv6, so we have continued its use in
>>> this draft in the narrative portions.  OTOH, all of the normative text
>>> is written to operate correctly even if further address families are
>>> introduced.
>> 
>> I noticed that the whole doc is written in a way that would correctly
>> operate with new address families. That's we I suggested this
>> change. I think that this term would be as easily understandable as
>> the current dual-stack term. But I don’t have a strong opinion, so
>> please just use what you think is better.
> 
> We've kept the term "dual-stack" because that's what's been used in all
> the Happy Eyeballs-related discussions, but we've revised the
> Terminology section to make it clear that "dual-stack" includes any
> situation "where the client has access to multiple communication methods
> that have distinct addressing characteristics".
> 
> I've updated the draft -08.  You can see the differences in
> https://www.ietf.org/rfcdiff?url1=3Ddraft-ietf-sipcore-dns-dual-stack-07&ur=
> l2=3Dhttp://svn.resiprocate.org/rep/ietf-drafts/worley/draft-ietf-sipcore-d=
> ns-dual-stack-08.txt
> and the entire current draft in
> http://svn.resiprocate.org/rep/ietf-drafts/worley/draft-ietf-sipcore-dns-du=
> al-stack-08.{txt,html}
> 
> Dale
>